package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.system.model.SystemOrganization;

import java.util.List;
import java.util.Map;

/**
 * Created by hzp on 2016/1/11.
 */
public interface IOrganizationDao extends XSQLGeneralDAO {


    /**
     * 获取组织列表
     * @return
     */
    DataGridResult getOrgList(Map<String, Object> conditionMap, Integer page, Integer pageSize) throws Exception;

    /**
     * 获取组织信息ByCodeorName
     */
    List getOrgByCodeOrName(String code, String name) throws Exception;
    /**
     * 修改组织状态
     */
    void activityOrg(String orgId, String activityFlag) throws Exception;

    SystemOrganization getOrgByIde(String orgId) throws Exception;
}
